Cases enable you to open, retrieve, and respond to support and operations queries through direct API.
The Partner Support API allows you to integrate your back-end tooling, enabling:
- Faster responses through automated workflows
- Structured data via typed messages and submissions
- Operational efficiencies with programmatic case management
Case statuses
- cases can move through different statuses.
| Status | Description | Partner Action |
|---|---|---|
CREATING | Case being created | Wait |
IN_REVIEW | Case being actioned | No action needed |
WAITING_CUSTOMER_INPUT | Information required | Respond |
RESOLVED | Case solved and closed | None |
FAILED | Case creation failed | Contact support |
Message types
- Messages are typed and structured:
Request messages:
DEPOSIT_SANCTION_HIT_REQUESTRECIPIENT_SANCTION_HIT_REQUESTREFERENCE_SANCTION_HIT_REQUESTRECIPIENT_LOCATION_HIT_REQUESTREFERENCE_LOCATION_HIT_REQUESTFREEFORM- Free text communication
Submission messages (from partner):
*_SUBMISSION- Structured response to requestsFREEFORM- Free text communication
Cases are used to collect or transmit additional information between Partners and Wise. Use this endpoint to create a new case.
Please do not include PII in the subject of a case. Any specific details regarding the case that need to be communicated should be included in the description.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Type of the case. Value must be GENERAL_ENQUIRY. More case types will be added in the future.
The subject of the case. Do not include PII in the subject of cases.
An ID provided by the external partner for partner internal tracking.
- Production Environmenthttps://api.wise.com/2026Q3/cases
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q3/cases
curl -i -X POST \
https://api.wise.com/2026Q3/cases \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-d '{
"type": "GENERAL_ENQUIRY",
"subject": "Inquiry about Transfer 12345",
"details": {
"transferId": 58114690,
"profileId": 14556049,
"userId": 1234
},
"externalId": "partner_external_id_12345",
"description": "Initial summary of the issue"
}'Created case.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Type of the case. More case types will be added in the future.
An ID provided by the external partner for partner internal tracking.
{ "id": 123456789, "status": "CREATING", "type": "GENERAL_ENQUIRY", "externalId": "partner_12344567", "createdAt": "2023-06-28T15:21:24.901", "updatedAt": "2023-06-28T15:21:24.901" }